LockDetectMode (Oracle - Berkeley DB Java API)
Date: 2018-05-29

com.sleepycat.db

## Class LockDetectMode

- java.lang.Object
- - com.sleepycat.db.LockDetectMode

-     public final class LockDetectMode
      extends java.lang.Object

  Deadlock detection modes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LockDetectMode` | `DEFAULT` Use whatever lock policy was specified when the database environment was created.
    `static LockDetectMode` | `EXPIRE` Reject lock requests which have timed out.
    `static LockDetectMode` | `MAXLOCKS` Reject the lock request for the locker ID with the most locks.
    `static LockDetectMode` | `MAXWRITE` Reject the lock request for the locker ID with the most write locks.
    `static LockDetectMode` | `MINLOCKS` Reject the lock request for the locker ID with the fewest locks.
    `static LockDetectMode` | `MINWRITE` Reject the lock request for the locker ID with the fewest write locks.
    `static LockDetectMode` | `NONE` Turn off deadlock detection.
    `static LockDetectMode` | `OLDEST` Reject the lock request for the locker ID with the oldest lock.
    `static LockDetectMode` | `RANDOM` Reject the lock request for a random locker ID.
    `static LockDetectMode` | `YOUNGEST` Reject the lock request for the locker ID with the youngest lock.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final LockDetectMode NONE

      Turn off deadlock detection.

    - #### DEFAULT

          public static final LockDetectMode DEFAULT

      Use whatever lock policy was specified when the database environment was created. If no lock policy has yet been specified, set the lock policy to DB_LOCK_RANDOM.

    - #### EXPIRE

          public static final LockDetectMode EXPIRE

      Reject lock requests which have timed out. No other deadlock detection is performed.

    - #### MAXLOCKS

          public static final LockDetectMode MAXLOCKS

      Reject the lock request for the locker ID with the most locks.

    - #### MAXWRITE

          public static final LockDetectMode MAXWRITE

      Reject the lock request for the locker ID with the most write locks.

    - #### MINLOCKS

          public static final LockDetectMode MINLOCKS

      Reject the lock request for the locker ID with the fewest locks.

    - #### MINWRITE

          public static final LockDetectMode MINWRITE

      Reject the lock request for the locker ID with the fewest write locks.

    - #### OLDEST

          public static final LockDetectMode OLDEST

      Reject the lock request for the locker ID with the oldest lock.

    - #### RANDOM

          public static final LockDetectMode RANDOM

      Reject the lock request for a random locker ID.

    - #### YOUNGEST

          public static final LockDetectMode YOUNGEST

      Reject the lock request for the locker ID with the youngest lock.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 1996, 2018 Oracle and/or its affiliates. All rights reserved.